this.name			= "nuit_space_station_populator";
this.author			= "Montana05";
this.description	= "Populator for Nuit Space Stations";
this.version		= "1.51";
this.copyright		= "2022 Montana05";
this.licence		= "CC BY-NC-SA 4.0";
"use strict";

this.systemWillPopulate = function() 
{
	var systemGov = system.government;
	
	// advanced systems with a Dictatorship, Confederacy, Democracy or Corporate State government
    if(system.isInterstellarSpace || system.sun.isGoingNova || system.sun.hasGoneNova ||
       system.techLevel < 10 || systemGov < 3 || systemGov == 4 || systemGov == 5 || 
       system.countShipsWithRole("nuit_space_station") > 0)
    {
       return;
    }
    else 
    { 
		// in rich industrial systems the Nuit Space Station is located close to the main station
		if(system.economy == 0)
		{
			system.setPopulator("nuit", 
			{
				callback: function(pos) 
				{
					var nuit_station = system.addShips("nuit_space_station", 1, pos, 0)[0];
					nuit_station.orientation = [1, 0, 1, 0];
				}.bind(this),
				location: "STATION_AEGIS",
				locationSeed: 112,
				deterministic: true
			});
		}
		// in all other systems it could be found on the other side of the planet
		else
		{
			system.setPopulator("nuit", 
			{
				callback: function(pos) 
				{
					var pos = Vector3D(0.0, 0.0, -0.2).fromCoordinateSystem("pwu");
					var nuit_station = system.addShips("nuit_space_station", 1, pos, 0)[0];
					nuit_station.orientation = [1, 0, 1, 0];
					}.bind(this),
				location: "COORDINATES",
				locationSeed: 112,
				deterministic: true
			});
		};
	};
}; 
